using System;
using System.IO;
using NantSample;

class TestHarness {

  static int Main(string[] argv) {

    int rc = 0;
    string msg;

    try {
      MessageServer svr = new MessageServer();
      if ( argv.Length > 0 ) {
        msg = svr.GetMessage(argv[0]);
      } else {
        msg = svr.GetMessage();
      }
      Console.WriteLine(msg);
    } catch (Exception ex) {
      Console.Error.WriteLine(ex.Message);
      rc = 1;
    }
    return rc;
  }
}
