use ${sql.database}
go

if exists ( select 1 from sysobjects where name = 'p_GetMessage' and type = 'p' )
begin
    print 'drop procedure dbo.p_GetMessage'
    drop procedure dbo.p_GetMessage
end
go

print 'create procedure dbo.p_GetMessage'
go

create procedure dbo.p_GetMessage as

set nocount on

-- I added a comment

declare @msg varchar(50)

select @msg = MessageText from Message
if @msg is null
    raiserror 99999 'Message table is empty'
else
    select @msg

go

print 'grant execute on dbo.p_GetMessage to ${sql.user}'
grant execute on dbo.p_GetMessage to ${sql.user}
go
