use ${sql.database}
go

set nocount on
go

if exists ( select 1 from sysobjects where name = 'Message' and type = 'u' )
begin
    print 'drop table Message'
    drop table Message
end
go

print 'create table Message'
create table Message ( MessageText varchar(50) not null )
go

print 'insert into Message'
insert into Message values ( 'Hello, world!' )
print ltrim(str(@@rowcount)) + ' messages inserted'
go
